%define upstream_name    asterisk-perl
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Asterisk modules for perl
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JA/JAMESGOL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildArch:  noarch

%description
perl-%{name} are modules for interfacing with the Asterisk open
source pbx system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 375345
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 13 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 181143
- update to 1.03

* Thu Dec 08 2011 kharec <kharec> 1.20.0-1.mga2
+ Revision: 179063
- update to 1.02

* Sat Jun 11 2011 spuhler <spuhler> 1.10.0-2.mga2
+ Revision: 104056
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 27363
- mageia rebuild
- imported package perl-asterisk-perl

